Skip to main content
PATCH
/
documents
/
sections
/
{sectionID}
cURL
curl --request PATCH \
  --url https://api.{environment}.corti.app/v2/documents/sections/{sectionID} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Tenant-Name: <tenant-name>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "languages": [
    "<string>"
  ],
  "regions": [
    "<string>"
  ],
  "specialties": [
    "<string>"
  ],
  "labels": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "languages": [
    "<string>"
  ],
  "regions": [
    "<string>"
  ],
  "specialties": [
    "<string>"
  ],
  "labels": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "inheritedFromId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "autoGenerated": true,
  "description": "<string>",
  "publishedVersion": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "versionNumber": 123,
    "generation": {
      "heading": "<string>",
      "instructions": {
        "contentPrompt": "<string>",
        "writingStylePrompt": "<string>",
        "miscPrompt": "<string>"
      },
      "outputSchema": {
        "description": "<string>",
        "default": "<string>",
        "enum": [
          "<string>"
        ],
        "pattern": "<string>"
      }
    },
    "deletedAt": "2023-11-07T05:31:56Z"
  },
  "deletedAt": "2023-11-07T05:31:56Z",
  "policies": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "customerIds": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.corti.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Input your token

Headers

Tenant-Name
string
required

Identifies a distinct entity within Corti's multi-tenant system. Ensures correct routing and authentication of the request.

Example:

"base"

Path Parameters

sectionID
string<uuid>
required

Body

application/json
name
string

A human-readable identifier for this section. Not passed to the LLM.

description
string

A description for this section. Not passed to the LLM.

languages
string[]

BCP 47 language tags this section has been tweaked for.

regions
string[]

ISO 3166-1 alpha-3 country codes this section has been tweaked for.

specialties
string[]

Clinical specialties this section has been tweaked for.

labels
object[]

Labels work as query param filter in the LIST /sections endpoint.

Response

OK

id
string<uuid>
required

The UUID of the section.

name
string
required

The name of the section.

languages
string[]
required

BCP 47 languages this section has been tweaked for. Empty means no language-specific tweaks.

regions
string[]
required

ISO 3166-1 alpha-3 country codes this section has been tweaked for. Empty means no region-specific tweaks.

specialties
string[]
required

Clinical specialties this section has been tweaked for. Empty means no specialty-specific tweaks.

labels
object[]
required

The labels available to use as query param filter in the LIST /sections endpoint.

createdAt
string<date-time>
required

The original timestamp when the section was created.

updatedAt
string<date-time>
required

The original timestamp when the section was last updated.

inheritedFromId
string<uuid> | null

Reference to the section to inherit generation configuration from. Inherits from published version by default.

autoGenerated
boolean

True if the section was auto-generated as part of an inline section-composed POST /documents request.

source
enum<string>

Whether this section was created by the user or from the Corti standard resources.

Available options:
user,
corti
description
string

The description for the section.

publishedVersion
object

The currently published version with section inheritance fully resolved. Present when a version has been published.

deletedAt
string<date-time> | null

Present when the section has been deleted. GET by ID still returns the full resource with this field populated.

policies
object[]

Access policies for this section.